Index: examples/python_tests/allout.save
===================================================================
--- examples/python_tests/allout.save	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/allout.save	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -1,11 +1,13 @@
 
- ==> RUN on basic_api
----setup precondition
-Generating key, this will take a while. Create entropy!
-    - move the mouse
-    - generate disk activity (run find)
-Generating key, this will take a while. Create entropy!
-    - move the mouse
-    - generate disk activity (run find)
+ ==> RUN on access_rt2
+---setup principals
+---setup attributes
+---run queries
+...with sha
+...with cn
+   PASSED
+
+ ==> RUN on basic_id
+---setup principals
 ---run with sha
 ---run with cn
Index: examples/python_tests/basic_id/README
===================================================================
--- examples/python_tests/basic_id/README	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/basic_id/README	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -6,8 +6,4 @@
 # In yap db, the ID credential is stored as: isType(pIDname,keyid)
 
-# Two pre-existing id credentials are generated using creddy, this is
-# to test the load_directory api call
-creddy --generate --cn CreddyBob
-creddy --generate --cn CreddyJack
 
 #  
Index: examples/python_tests/basic_id/id.py
===================================================================
--- examples/python_tests/basic_id/id.py	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/basic_id/id.py	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -43,7 +43,7 @@
 id=ABAC.ID("John", 0)
 print "adding -> %s(good,invisible)" % id.name()
-id.write_privkey("John_idkey.pem")
-id.write_cert("John_idkey.pem")
-ctxt.load_id_file("John_idkey.pem")
+id.write_privkey("John_other.pem")
+id.write_cert("John_other.pem")
+ctxt.load_id_file("John_other.pem")
 
 id=ABAC.ID("Lori", 0)
Index: examples/python_tests/basic_id/id.save
===================================================================
--- examples/python_tests/basic_id/id.save	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/basic_id/id.save	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -3,6 +3,6 @@
 ABAC version 1.0
 ...initial principal set...
-(pCreddyBob,keyid,y) 
-(pCreddyJack,keyid,y) 
+(pBob,keyid,y) 
+(pJack,keyid,y) 
 (pMary,keyid,y) 
 (pLori,keyid,n) 
@@ -18,6 +18,6 @@
 adding -> Casper(bad,unknown file)
 ...final principal set...
-(pCreddyBob,keyid,y) 
-(pCreddyJack,keyid,y) 
+(pBob,keyid,y) 
+(pJack,keyid,y) 
 (pMary,keyid,y) 
 (pLori,keyid,n) 
@@ -30,6 +30,6 @@
 
 ========= yap db (dump_yap)
-isType(pCreddyBob,keyid).
-isType(pCreddyJack,keyid).
+isType(pBob,keyid).
+isType(pJack,keyid).
 isType(pMary,keyid).
 isType(pLori,keyid).
Index: examples/python_tests/basic_id/run_test
===================================================================
--- examples/python_tests/basic_id/run_test	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/basic_id/run_test	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -8,5 +8,5 @@
 
 echo '---setup principals'
-./README
+./setup.py 2>/dev/null 1 > id.sha
 
 echo '---run with sha'
Index: examples/python_tests/runall
===================================================================
--- examples/python_tests/runall	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/runall	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -6,7 +6,8 @@
 
 progname=$(basename $0)
+pwd=`pwd`
 
 if [ $# -eq 0 ]; then
-    echo "Usage: $progname (clean|setup|run)" >&2;
+    echo "Usage: $progname (clean|run)" >&2;
     exit 1
 fi
@@ -16,20 +17,15 @@
 
 for i in `ls -1 `; do
-   if ( file $i | grep -Fq directory ); then
-       cd $i;
+   if [ -d $i ]; then
+       cd $i
        if [ "$1" = "clean" ]; then
            rm -rf ../allout.tmp
            printf "\n ==> CLEANING on %s\n" "$i" >& 2 ;
            rm -rf *.der *.pem *.cn *.sha
-       elif [ "$1" = "setup" ]; then
-           printf "\n ==> SETUP on %s\n" "$i"  >& 2;
-           ./README
        elif [ "$1" = "run" ] ; then
-           if(file run_test | grep -vq ERROR); then
-               printf "\n ==> RUN on %s\n" "$i" >& 2;
-               ./run_test
-           fi
+           printf "\n ==> RUN on %s\n" "$i" >& 2;
+           ./run_test
        fi 
-       cd ..;
+       cd $pwd
    fi
 done
Index: examples/python_tests/runcheck
===================================================================
--- examples/python_tests/runcheck	(revision 5110d428b9de9f6ec063a033dfe605950456dc4f)
+++ examples/python_tests/runcheck	(revision d9c38866300b69a7dba07e4861387a50cdcba124)
@@ -6,5 +6,5 @@
 export ABAC_PROVER_PATH
 
-echo 'running PYTHON testing...'
+echo 'running libabac PYTHON testing...'
 
 env ./runall run 1> allout.tmp 2>& 1
